Bug 139610 - genhdlist using RedHat/base instead Fedora/base
genhdlist using RedHat/base instead Fedora/base
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 16:48 EST by Aleksandar Milivojevic
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 16:59:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Milivojevic 2004-11-16 16:48:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
I've did some customization to my installation server, and wanted to
run genhdlist to regenerate hdlist files.  However I got this error:

# /usr/lib/anaconda-runtime/genhdlist /install/fedora-core-3
error creating file /install/fedora-core-3/RedHat/base/hdlist: No such
file or directory

Seems genhdlist is attempting to create files in RedHat/base.  This
would be correct for RedHat distribution.  However, on Fedora Core,
files are located in Fedora/base.

As a workaround, I've made symbolic link (RedHat -> Fedora) to make it
work.  I need to test this workaround, who knows, maybe it'll break
some other things :-/

Version-Release number of selected component (if applicable):
anaconda-runtime-10.1.0.2-1

How reproducible:
Always

Steps to Reproduce:
1. attempt to regenerate hdlist files using genhdlist utility

Additional info:
Comment 1 Jeremy Katz 2004-11-16 16:59:01 EST
You need to pass --productpath Fedora to genhdlist just like with the
rest of the anaconda builddistro chain.  
Comment 2 Aleksandar Milivojevic 2004-11-17 09:31:49 EST
Hmmm...  Did that.  Attempted to do install, installation crashed.

Anaconda screen (alt-f1) showed "install exited abnormally", but
didn't show why.

The screen with output log (alt-f3) had "WARNING: not all packages in
hdlist had order tag" (I think I saw that line before).

I undid the changes that I made (basically, just adding one package),
re-run genhdlist, and got same problem.  There was nothing to point
what went wrong.  At the end, I ended up copying original hdlist files
from CD.

Command line that I used was:

/usr/lib/anaconda-runtime/genhdlist --productpath Fedora
/install/fedora-core-3

Is there something else I missed?  On older Red Hats, all I had to do
when changing packages on installation server (for example, when Red
Hat issues security update and such) was to rerun genhdlist.
Comment 4 Aleksandar Milivojevic 2004-11-17 12:54:01 EST
Hmmm...  I've went by instructions there, run pkgorder, and it went
into loop:

PYTHONPATH=/usr/lib/anaconda /usr/lib/anaconda-runtime/pkgorder
/install/fedora-core-3 i386 Fedora > fedora-core-3/Fedora/base/pkgfile

 [ some output snipped ]

warning: LOOP:
warning: removing initscripts-7.93.2-1 "Requires: /sbin/nash" from
tsort relations.
warning:     initscripts-7.93.2-1                     Requires: /sbin/nash
warning: removing mkinitrd-4.1.18-2 "Requires: lvm2" from tsort relations.
warning:     mkinitrd-4.1.18-2                        Requires: lvm2
warning: removing lvm2-2.00.25-1.01 "Requires: kernel >= 2.6" from
tsort relations.
warning:     lvm2-2.00.25-1.01                        Requires: kernel
>= 2.6
warning:     kernel-2.6.9-1.667                       PreReq:
initscripts >= 5.83

And than it continued looping over and over and over again...

How the hack you guys at Red Hat / Fedora Project managed to generate
those hdfiles and distribution CDs in the first place???
Comment 5 Aleksandar Milivojevic 2004-11-17 14:39:48 EST
Trying to make this work...  And found some other problems.

I've attempted to run getfullcomps.py script against clean Core 3 copy
on the disk (no changes).  Bunch of errors about missing packages. 
I've checked, all of them are mentioned in comps.xml file, but they
don't exist in distribution:

CRITICAL ERROR: Unable to find package openCryptoki
CRITICAL ERROR: Unable to find package prctl
CRITICAL ERROR: Unable to find package redhat-logos
CRITICAL ERROR: Unable to find package compat-gcc-295
CRITICAL ERROR: Unable to find package compat-gcc-296
CRITICAL ERROR: Unable to find package compat-gcc-32
CRITICAL ERROR: Unable to find package compat-gcc-c++-32
CRITICAL ERROR: Unable to find package compat-libstdc++-295
CRITICAL ERROR: Unable to find package compat-libstdc++-296
CRITICAL ERROR: Unable to find package compat-libstdc++-32
CRITICAL ERROR: Unable to find package compat-libgcc-295
CRITICAL ERROR: Unable to find package compat-libgcc-296
CRITICAL ERROR: Unable to find package compat-libgcc-32
CRITICAL ERROR: Unable to find package compat-libstdc++-295
CRITICAL ERROR: Unable to find package compat-libstdc++-296
CRITICAL ERROR: Unable to find package compat-libstdc++-32
CRITICAL ERROR: Unable to find package gtkglarea
CRITICAL ERROR: Unable to find package openCryptoki
CRITICAL ERROR: Unable to find package elilo
CRITICAL ERROR: Unable to find package indexhtml
CRITICAL ERROR: Unable to find package iprutils
CRITICAL ERROR: Unable to find package ppc64-utils
CRITICAL ERROR: Unable to find package redhat-logos
CRITICAL ERROR: Unable to find package rpmdb-redhat
CRITICAL ERROR: Unable to find package s390utils
CRITICAL ERROR: Unable to find package yaboot
CRITICAL ERROR: Unable to find package gcc-c++-ppc32
CRITICAL ERROR: Unable to find package gcc-ppc32
CRITICAL ERROR: Unable to find package pfmon
CRITICAL ERROR: Unable to find package compat-gcc-295
CRITICAL ERROR: Unable to find package compat-gcc-296
CRITICAL ERROR: Unable to find package compat-gcc-32
CRITICAL ERROR: Unable to find package compat-gcc-c++-32
CRITICAL ERROR: Unable to find package compat-libstdc++-295
CRITICAL ERROR: Unable to find package compat-libstdc++-296
CRITICAL ERROR: Unable to find package compat-libstdc++-32
CRITICAL ERROR: Unable to find package compat-libgcc-295
CRITICAL ERROR: Unable to find package compat-libgcc-296
CRITICAL ERROR: Unable to find package compat-libgcc-32
CRITICAL ERROR: Unable to find package compat-libstdc++-295
CRITICAL ERROR: Unable to find package compat-libstdc++-296
CRITICAL ERROR: Unable to find package compat-libstdc++-32
CRITICAL ERROR: Unable to find package anaconda-product
Comment 6 Paul Nasrat 2004-11-17 14:43:23 EST
You don't need to run getfullcomps any more
Comment 7 Aleksandar Milivojevic 2004-11-17 16:15:50 EST
Hm, I tought that getfullcomps was used only to check for consistency?  

Anyhow, seems that my problem with pkgorder was that I wasn't patient
enough (it took long time to finish, and what was displayed looked as
if it was stuck looping in endless loop).

Seems that everything is working now that I generated pkgfile and
passed it as an argument to genhdlist (btw, they are missing that part
on that Wiki you pointed me to).

Thanks for pointing me in the right direction.

Note You need to log in before you can comment on or make changes to this bug.